Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155965 - perl-LDAP: update to 0.33
Summary: perl-LDAP: update to 0.33
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-LDAP
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 10:03 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 00:41:55 UTC


Attachments (Terms of Use)
Update to version 0.33. (deleted)
2005-04-26 10:03 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Jose Pedro Oliveira 2005-04-26 10:03:07 UTC
Version-Release number of selected component (if applicable):
0.3202-1

Expected results:
0.33-1

Comment 1 Jose Pedro Oliveira 2005-04-26 10:03:07 UTC
Created attachment 113661 [details]
Update to version 0.33.

Comment 2 Warren Togami 2005-04-26 21:36:08 UTC
--- perl-LDAP.spec      5 Apr 2005 19:39:14 -0000       1.4
+++ perl-LDAP.spec      26 Apr 2005 21:34:40 -0000
@@ -1,12 +1,13 @@
 Name:           perl-LDAP
-Version:        0.3202
+Version:        0.33
 Release:        1

Bad news, 0.3202 is "newer" than 0.33 in rpmvercmp.  We need to introduce an
Epoch here. =(  That itself isn't a huge problem, except if any other package
has "Requires: perl-LDAP >= 0.3XXX" then it needs to become 1:0.33.  Can you
check all other packages to be sure?

Comment 3 Jose Pedro Oliveira 2005-04-26 21:49:23 UTC
Warren,

perl-LDAP doesn't seem to be required by any package.  

There are several perl scripts packaged as docs in samba that use the Net::LDAP
perl modules but this requirement is being filtered out.

In a full installed FC3 system the query
   rpm -q --whatrequires perl-LDAP
returns 0 packages.  The query
      rpm -q --whatrequires "perl(Net::LDAP)"
only returns perl-LDAP.

Tomorrow I will try to install a full FC4test system and see if some other
package requires perl.

/jpo

NOTE: FC3 ships with perl-LDAP-0.31




Note You need to log in before you can comment on or make changes to this bug.